Subject: Re: linux-next: build failure after merge of the keys tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 3 Sep 2019 09:21:21 +1000

Hi David,

On Tue, 3 Sep 2019 09:07:22 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> > > I then discovered that I needed to install libkeyutils-dev :-( but it
> > > built OK after that.    
> > 
> > ?  The kernel shouldn't require that to build.  
> 
> I was doing an x86_64 allmodconfig build which seems to build (all of?)
> the samples.

Of course, this breaks our crossbuilds :-(

e.g. S390 allyesconfig build:

/usr/bin/ld: cannot find -lkeyutils

-- 
Cheers,
Stephen Rothwell